import { Button } from '@material-ui/core';
import React, { useState } from 'react';
import { CustomModal } from './CustomModal';

export const ProfileButton = () => {
  const [isProfileModalOpen, setIsProfileModalOpen] = useState<boolean>(false);

  const handleProfileModalOpen = () => {
    setIsProfileModalOpen(true);
  };

  return (
    <div>
      <Button variant="contained" color="primary" onClick={handleProfileModalOpen}>
        Open Profile
      </Button>
      <CustomModal
        isOpen={isProfileModalOpen}
        setIsOpen={setIsProfileModalOpen}
        customStyle={{ backgroundColor: 'white', padding: '10px' }}
      >
        Modal content
      </CustomModal>
    </div>
  );
};

export default ProfileButton;
